%define majver %(echo %version | cut -d. -f1-2)

Name:          qt5-qtlocation
Version:       5.15.2
Release:       3mamba
Summary:       Qt5 location components
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.qt.io/
Source:        https://download.qt.io/official_releases/qt/%{majver}/%{version}/submodules/qtlocation-everywhere-src-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt5SerialPort-devel
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libicu-devel
BuildRequires: libopenssl-devel
BuildRequires: libstdc++6-devel
BuildRequires: libz-devel
BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qtdeclarative-devel
## AUTOBUILDREQ-END
BuildConflicts: libgypsy-devel

%description
Qt5 location components.

%package -n libQt5Location
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n libQt5Location
This package contains the Qt5 location library.

%package -n libQt5Location-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      libQt5Location = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n libQt5Location-devel
This package contains libraries and header files for developing applications that use %{name}.

%package -n libQt5Positioning
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n libQt5Positioning
This package contains the Qt5 positioning library.

%package -n libQt5Positioning-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      libQt5Positioning = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n libQt5Positioning-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q -n qtlocation-everywhere-src-%{version}

%build
%_qt5_qmake

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall INSTALL_ROOT=%{buildroot} STRIP=/bin/true

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n libQt5Location -p /sbin/ldconfig
%postun -n libQt5Location -p /sbin/ldconfig

%post -n libQt5Positioning -p /sbin/ldconfig
%postun -n libQt5Positioning -p /sbin/ldconfig

%files -n libQt5Location
%defattr(-,root,root)
%{_libdir}/libQt5Location.so.*
%dir %{_libdir}/qt5/qml/Qt/labs/location
%{_libdir}/qt5/qml/Qt/labs/location/*
%dir %{_libdir}/qt5/qml/QtLocation
%{_libdir}/qt5/qml/QtLocation/*
%dir %{_libdir}/qt5/plugins/geoservices
%{_libdir}/qt5/plugins/geoservices/libqtgeoservices_*.so
%doc LICENSE.*

%files -n libQt5Location-devel
%defattr(-,root,root)
%dir %{_includedir}/qt5/QtLocation
%{_includedir}/qt5/QtLocation/*
%{_libdir}/libQt5Location.la
%{_libdir}/libQt5Location.prl
%{_libdir}/libQt5Location.so
%{_libdir}/qt5/mkspecs/modules/qt_lib_location.pri
%{_libdir}/qt5/mkspecs/modules/qt_lib_location_private.pri
%dir %{_libdir}/cmake/Qt5Location
%{_libdir}/cmake/Qt5Location/Qt5Location*.cmake
%{_libdir}/pkgconfig/Qt5Location.pc

%files -n libQt5Positioning
%defattr(-,root,root)
%{_libdir}/libQt5Positioning.so.*
%{_libdir}/libQt5PositioningQuick.so.*
%dir %{_libdir}/qt5/plugins/position
%{_libdir}/qt5/plugins/position/libqtposition_*.so
%dir %{_libdir}/qt5/qml/QtPositioning
%{_libdir}/qt5/qml/QtPositioning/*
%doc LICENSE.*

%files -n libQt5Positioning-devel
%defattr(-,root,root)
%dir %{_includedir}/qt5/QtPositioning
%{_includedir}/qt5/QtPositioning/*
%dir %{_includedir}/qt5/QtPositioningQuick
%{_includedir}/qt5/QtPositioningQuick/*
%dir %{_libdir}/cmake/Qt5Positioning
%{_libdir}/cmake/Qt5Positioning/Qt5Positioning*.cmake
%dir %{_libdir}/cmake/Qt5PositioningQuick
%{_libdir}/cmake/Qt5PositioningQuick/Qt5PositioningQuickConfig*.cmake
%{_libdir}/libQt5Positioning.la
%{_libdir}/libQt5Positioning.prl
%{_libdir}/libQt5Positioning.so
%{_libdir}/libQt5PositioningQuick.la
%{_libdir}/libQt5PositioningQuick.prl
%{_libdir}/libQt5PositioningQuick.so
%{_libdir}/qt5/mkspecs/modules/qt_lib_positioning.pri
%{_libdir}/qt5/mkspecs/modules/qt_lib_positioning_private.pri
%{_libdir}/qt5/mkspecs/modules/qt_lib_positioningquick.pri
%{_libdir}/qt5/mkspecs/modules/qt_lib_positioningquick_private.pri
%{_libdir}/pkgconfig/Qt5Positioning.pc
%{_libdir}/pkgconfig/Qt5PositioningQuick.pc

%changelog
* Thu Nov 11 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.2-3mamba
- don't build against deprecated libgypsy

* Fri Nov 05 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.2-2mamba
- bump release to allow update from monolithic build subpackage

* Fri Nov 05 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.2-1mamba
- package created using the webbuild interface
